NoSuchBucket error when running Kubernetes on AWS

0 votes

I’m getting the following error when I try to run kubernetes on aws

kubernetes-1.1.8 > ./kubernetes/cluster/kube-up.sh 
... Starting cluster using provider: aws
... calling verify-prereqs
... calling kube-up
Starting cluster using os distro: vivid
Uploading to Amazon S3
Creating kubernetes-staging-0eaf81fbc51209dd47c13b6d8b424149
make_bucket: s3://kubernetes-staging-0eaf81fbc51209dd47c13b6d8b424149/
A client error (NoSuchBucket) occurred when calling the GetBucketLocation operation: The specified bucket does not exist
+++ Staging server tars to S3 Storage: kubernetes-staging-0eaf81fbc51209dd47c13b6d8b424149/devel
usage: aws [options] <command> <subcommand> [<subcommand> ...] [parameters]
To see help text, you can run:
  aws help
  aws <command> help
  aws <command> <subcommand> help
aws: error: argument --region: expected one argument
Sep 4, 2018 in Kubernetes by Hannah
• 14,080 points
30 views

2 answers to this question.

0 votes

I think the bucket is created in another region than Kubernetes tries to access. Looks like the aws cmdline tool is confused about the region: aws: error: argument --region: expected one argument

When it can't determine the region, it defaults to one of the us regions.

answered Sep 4, 2018 by Kalgi
• 37,320 points
0 votes
It was a bug on their part. I believe its sorted now so I think it should work.

S3 was consistent which caused this error.
answered Sep 4, 2018 by Nilesh
• 6,900 points

Related Questions In Kubernetes

0 votes
1 answer

oci runtime error while running kubernetes on rancher cluster

You need to switch Docker to 1.12.x; ...READ MORE

answered Sep 6, 2018 in Kubernetes by Kalgi
• 37,320 points
72 views
0 votes
1 answer
0 votes
1 answer

Installing Kubernetes on aws gives an error

seems like you are missing region. Try ...READ MORE

answered Oct 4, 2018 in Kubernetes by Kalgi
• 37,320 points
20 views
0 votes
2 answers

Kubernetes on AWS: “Error: unknown flag: --config”

Update the cluster.yaml, changing the line kubernetesVersion: v1.6.6_coreos.1 to kubernetesVersion: v1.7.10_coreos.0 Should ...READ MORE

answered Oct 4, 2018 in Kubernetes by Kalgi
• 37,320 points
125 views
0 votes
1 answer
0 votes
3 answers

Error while joining cluster with node

Hi Kalgi after following above steps it ...READ MORE

answered Jan 17 in Others by anonymous
1,146 views
+3 votes
1 answer
0 votes
1 answer